%define pkgname jabberd
%define conference_version 0.6.0
%define jud_version 0.5
# this is a "stable" snapshot from 2003-03-14 (version > 0.9.24c)
%define aim_version 20040131
# 1.3.0 == 2005-04-25
%define msn_version 1.3.0
%define yahoo_version 2.3.2

%define lib_name %mklibname jabberd 0

Summary: Jabber is an instant messaging System
Name: jabber
Version: 1.4.4
Release: 5mdk
Source0: http://jabberd.jabberstudio.org/1.4/dist/%{pkgname}-%{version}.tar.bz2
Source2: jabber.initrd
Source3: jabber.cfg.bz2
Source6: jabber-aim.xml.bz2
Source7: jabber-aim.initrd
Source8: jabber-gentestcrt.sh
Source10: mu-conference-%{conference_version}.tar.bz2
Source11: jud-%{jud_version}.tar.bz2

Source12: jabber-1.4.2-manpage.bz2

Source13: jabber-conference.xml.bz2
Source14: jabber-conference.initrd

Source15: jabber-msn.xml.bz2
Source16: jabber-msn.initrd
Source17: jud.xml.bz2

# transports sources
Source20: http://aim-transport.jabberstudio.org/aim-transport-stable-%{aim_version}.tar.bz2
Source22: http://msn-transport.jabberstudio.org/msn-transport-%{msn_version}.tar.bz2
Source23: http://www.jabberstudio.org/projects/yahoo-transport-2/releases/yahoo-transport-%{yahoo_version}.tar.bz2

# default configuration
Patch0:  jabber-1.4.4-xmlconfig.patch.bz2
Patch1:  libjabber-fix-includes.patch.bz2
# (fc) 1.4.3-11mdk fix build with gcc4
Patch8:  jabber-1.4.4-gcc4.patch.bz2
# (fc) 1.4.4-1mdk fix build for old transport with jabber 1.4.4
Patch9:  jabber-1.4.4-fixbuild.patch.bz2
# (fc) 1.4.4-1mdk fix soname for dlopened libraries
Patch10: jabber-1.4.4-soname.patch.bz2
# (gb) 1.4.4-4mdk build DSO with PIC
Patch11: jabber-1.4.4-pic.patch.bz2

License: Jabber Open Source License/GPL
URL: http://jabberd.jabberstudio.org/
Group: System/Servers
Requires(post): rpm-helper
Requires(preun): rpm-helper
# used in initscripts but that should be implicit nowadays
Requires: file
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  pth-devel
BuildRequires:	curl-devel >= 7.12.0
BuildRequires:	openssl-devel
BuildRequires:  libsigc++-devel
BuildRequires:  glib2-devel
BuildRequires:  glib-devel
BuildRequires:	automake1.4
BuildRequires:	automake1.9
BuildRequires:	gettext-devel
BuildRequires:	libidn-devel
BuildRequires:	libexpat-devel

%description
Jabber is an instant messaging System, similar to ICQ or AIM, yet far 
different. 
It is open source, absolutely free, simple, fast, extensible, modularized, 
cross platform, and created with the future in mind. Jabber has been 
designed from the ground up to serve the needs of the end user, satisfy 
business demands, and maintain compatibility with other messaging systems.
%package -n %lib_name
Summary:	Shared library used by jabber
Group:		System/Servers

%description -n %lib_name
Shared library used by Jabber server.

%package -n %lib_name-devel
Summary:	Includes files and library used to develop for jabber
Group:		System/Servers
Requires: %{lib_name} = %{version}
Provides: libjabberd-devel = %{version}-%{release}

%description -n %lib_name-devel
Includes files and library used to develop for jabber

%package conference
Summary:	Conferencing service for Jabber server
Group:		System/Servers
Requires:	%{name} = %{version}
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description conference
This package contains conference servicing for Jabber server.

WARNING : to enable support for this transport, you must :
- uncomment conference part in /etc/jabber/jabber.xml 
- edit /etc/jabber/jabber.xml and  /etc/jabber/jabber-conference.xml 
  to replace conference.localhost with 
  conference.your_computer_full_domain_name
- configure our DNS server to resolve conference.your_computer_full_domain_name 


%package jud
Summary:	Jabber User Directory service for Jabber server
Group:		System/Servers
Requires:	%{name} = %{version}

%description jud
This package contains service directory servicing for Jabber server.

Read the documentation for install this service.


%package aim
Summary:	Aim Transport for Jabber server
Group:		System/Servers
Requires:	%{name} = %{version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Obsoletes:	jabber-icq
Provides:	jabber-icq

%description aim
This package contains aim transport for Jabber server.

Read the documentation for install this transport.

WARNING : to enable support for this transport, you must :
- uncomment aim part in /etc/jabber/jabber.xml 
- edit /etc/jabber/jabber.xml and /etc/jabber/jabber-aim.xml to 
replace aim.localhost with aim.your_computer_full_domain_name
- configure our DNS server to resolve aim.your_computer_full_domain_name

%package msn
Summary:	Msn Transport for Jabber server
Group:		System/Servers
Requires:	%{name} = %{version}
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description msn
This package contains msn transport for Jabber server.

Read the documentation for install this transport.


%package yahoo
Summary:	Yahoo Transport for Jabber server
Group:		System/Servers
Requires:	%{name} = %{version}

%description yahoo
This package contains yahoo transport for Jabber server.

Read the documentation for install this transport.


%prep 
%setup -q -a 10 -a 11 -a 20 -a 22 -a 23  -n %{pkgname}-%{version}
%patch0 -p 1 -b .xmlconfig
%patch1 -p 1 -b .fixinclude
%patch8 -p 1 -b .gcc4
%patch9 -p 1 -b .fixbuild
%patch10 -p1 -b .soname

# needs to be applied last since it patches plugins too
%patch11 -p1 -b .pic

#needed by patches 9 & 10
aclocal-1.9
automake-1.9
autoconf
#needed by patch7 & 9
cd aim-transport-stable-%{aim_version}
touch NEWS
automake-1.4 -a
autoconf
cd ..
cd msn-transport-1.*
touch NEWS ChangeLog
aclocal-1.9
automake-1.9 -a
cd ..

%build
%serverbuild

%configure2_5x --without-mysql --without-postgresql --enable-legacy \
 --sysconfdir=%{_sysconfdir}/jabber --localstatedir=%{_var} --libdir=%{_libdir}/jabber --bindir=%{_sbindir} --without-ipv6 --without-mysql --without-postgresql --enable-ssl
#parallel build is broken
make 

cd jud-ansi-c
make
cd ..

cd mu-conference-%{conference_version}
make
cd ..

cd aim-transport-stable-%{aim_version}
%configure2_5x
make
cd ..

cd msn-transport-1.*
%configure2_5x --with-jabberd=$RPM_BUILD_DIR/%{pkgname}-%{version}/jabberd --with-pth=%{_includedir} --with-curl-libs=%{_libdir}

make
cd ..

cd yahoo-transport-%{yahoo_version}
make
cd ..



%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std spooldir=%{_localstatedir}/jabber
mv $RPM_BUILD_ROOT%{_libdir}/jabber/libjabberd.* $RPM_BUILD_ROOT%{_libdir}

bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_sysconfdir}/jabber/jabber.cfg
install -m 755 %{SOURCE8} $RPM_BUILD_ROOT%{_libdir}/jabber/jabber-gentestcrt.sh

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
bzcat %{SOURCE12} >  $RPM_BUILD_ROOT%{_mandir}/man8/jabberd.8

mkdir -p $RPM_BUILD_ROOT/%{_initrddir} $RPM_BUILD_ROOT%{_sysconfdir}/ssl/jabber
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/%{_initrddir}/jabber
touch $RPM_BUILD_ROOT/%{_sysconfdir}/ssl/jabber/key.pem

cat << EOF > README.ssl
A SSL test key has been generated as /etc/ssl/jabber/key.pem

To enable SSL support in Jabber, you must modify /etc/jabber/jabber.xml :
-uncomment one of the lines <ssl port='5223'>127.0.0.1</ssl> by adding your 
server IP address (Be sure to include an IP address otherwise, you will get 
nothing but a 1Gb error logfile
-uncomment one of the lines  <key ip='127.0.0.1'>/etc/ssl/jabber/key.pem</key> and replace 127.0.0.1 with your server IP address
EOF

#jabber service
mkdir -p $RPM_BUILD_ROOT%{_libdir}/jabber/mu-conference
install -m 755 mu-conference-%{conference_version}/src/mu-conference.so $RPM_BUILD_ROOT%{_libdir}/jabber/mu-conference
bzcat %{SOURCE13} | sed -e 's|@libdir@|%{_libdir}/jabber/|g' > $RPM_BUILD_ROOT%{_sysconfdir}/jabber/jabber-conference.xml
install -m 755 %{SOURCE14} $RPM_BUILD_ROOT/%{_initrddir}/jabber-conference


mkdir -p $RPM_BUILD_ROOT%{_libdir}/jabber/jud
install -m 755 jud-ansi-c/jud.so $RPM_BUILD_ROOT%{_libdir}/jabber/jud
bzcat %{SOURCE17} | sed -e 's|@libdir@|%{_libdir}/jabber/|g' > $RPM_BUILD_ROOT%{_sysconfdir}/jabber/jud.xml

# transports

# aim-transport 
mkdir -p $RPM_BUILD_ROOT%{_libdir}/jabber/aim-transport
install -m 755 aim-transport-stable-%{aim_version}/src/aimtrans.so $RPM_BUILD_ROOT%{_libdir}/jabber/aim-transport
bzcat %{SOURCE6} | sed -e 's|@libdir@|%{_libdir}/jabber/|g' > $RPM_BUILD_ROOT%{_sysconfdir}/jabber/jabber-aim.xml
install -m 755 %{SOURCE7} $RPM_BUILD_ROOT/%{_initrddir}/jabber-aim

# msn-transport 
mkdir -p $RPM_BUILD_ROOT%{_libdir}/jabber/msn-transport
install -m 755 msn-transport-1.*/src/msntrans.so $RPM_BUILD_ROOT%{_libdir}/jabber/msn-transport
bzcat %{SOURCE15}| sed -e 's|@libdir@|%{_libdir}/jabber/|g' > $RPM_BUILD_ROOT%{_sysconfdir}/jabber/jabber-msn.xml
install -m 755 %{SOURCE16} $RPM_BUILD_ROOT/%{_initrddir}/jabber-msn


# yahoo-transport 
mkdir -p $RPM_BUILD_ROOT%{_libdir}/jabber/yahoo-transport
install -m 755 yahoo-transport-%{yahoo_version}/yahoo-transport.so $RPM_BUILD_ROOT%{_libdir}/jabber/yahoo-transport

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/jabber/*.la \
 $RPM_BUILD_ROOT%{_libdir}/jabber/libjabberdxdbsql.*

%clean
rm -rf $RPM_BUILD_ROOT

%post 
if [ ! -f %{_sysconfdir}/ssl/jabber/key.pem ]; then
 pushd %{_sysconfdir}/ssl/jabber/ > /dev/null
 yes "" | %{_libdir}/jabber/jabber-gentestcrt.sh > /dev/null 2> /dev/null
 cat %{_sysconfdir}/ssl/jabber/server.crt %{_sysconfdir}/ssl/jabber/server.key > %{_sysconfdir}/ssl/jabber/key.pem
 rm -f %{_sysconfdir}/ssl/jabber/server.*
 chmod 500 %{_sysconfdir}/ssl/jabber/key.pem
 chown daemon.daemon %{_sysconfdir}/ssl/jabber/key.pem
 popd > /dev/null
fi
%_post_service jabber


%preun
%_preun_service jabber

%post aim
%_post_service jabber-aim

%preun aim
%_preun_service jabber-aim

%post conference
%_post_service jabber-conference

%preun conference
%_preun_service jabber-conference

%post msn
%_post_service jabber-msn

%preun msn
%_preun_service jabber-msn

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README README.ssl README.config README.karma README.protocols
%dir %{_sysconfdir}/jabber
%dir %{_sysconfdir}/ssl/jabber
%attr(644,daemon,daemon) %config(noreplace) %{_sysconfdir}/jabber/jabber.xml
%attr(644,daemon,daemon) %config(noreplace) %{_sysconfdir}/jabber/jabber.xml.dist
%attr(755,daemon,daemon) %config(noreplace) %{_sysconfdir}/jabber/jabber.cfg
%attr(500,daemon,daemon) %ghost %{_sysconfdir}/ssl/jabber/key.pem
%{_initrddir}/jabber
%dir %{_libdir}/jabber
%{_libdir}/jabber/*.so
%attr(755,root,root) %{_libdir}/jabber/jabber-gentestcrt.sh
%{_sbindir}/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%attr(700,daemon,daemon) %dir %{_localstatedir}/jabber
%attr(750,daemon,daemon) %dir /var/log/jabberd
%attr(700,daemon,daemon) %dir /var/run/jabberd

%files -n %lib_name
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %lib_name-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*



%files conference
%defattr(-,root,root)
%docdir %{_docdir}/%{name}
%doc mu-conference-%{conference_version}/README 
%{_initrddir}/jabber-conference
%config(noreplace) %{_sysconfdir}/jabber/jabber-conference.xml
%{_libdir}/jabber/mu-conference

%files jud
%defattr(-,root,root)
%docdir %{_docdir}/%{name}
%doc jud-ansi-c/README
%config(noreplace) %{_sysconfdir}/jabber/jud.xml
%{_libdir}/jabber/jud

%files aim
%defattr(-,root,root)
%docdir %{_docdir}/%{name}
%doc aim-transport-stable-%{aim_version}/README
%{_sysconfdir}/jabber/jabber-aim.xml
%config(noreplace) %{_initrddir}/jabber-aim
%{_libdir}/jabber/aim-transport

%files msn
%defattr(-,root,root)
%docdir %{_docdir}/%{name}
%doc msn-transport-1.*/README
%{_libdir}/jabber/msn-transport
%{_initrddir}/jabber-msn
%config(noreplace) %{_sysconfdir}/jabber/jabber-msn.xml

%files yahoo
%defattr(-,root,root)
%docdir %{_docdir}/%{name}
%doc yahoo-transport-%{yahoo_version}/*.xml yahoo-transport-%{yahoo_version}/INSTALL
%{_libdir}/jabber/yahoo-transport


%changelog
* Sat Sep 10 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.4-5mdk 
- Ensure ssl is enabled
- Update aim and msn configuration file with more options
- Update aim and msn initscript to remove pid file when stopping

* Mon Aug 22 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.4.4-4mdk
- build DSO with PIC

* Thu Aug 18 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.4.4-3mdk
- add BuildRequires: gettext-devel libidn-devel libexpat-devel

* Tue Aug 09 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.4-2mdk 
- Update patch8 with another fix from SVN

* Mon Aug 08 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.4-1mdk 
- Release 1.4.4 aka finally using auto* tools
- Update patch8 to fix crash with gcc4
- Remove patches 4, 6 (no longer needed)
- Update all configuration and initrd files to remove lib64 stuff

* Sat Aug 06 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.4.3-12mdk
- Patch9: don't use automake 1.6; use 1.7 and add it as buildrequires

* Fri Aug 05 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.3-11mdk 
- Update patch0 to not comment host value (David Walser)
- update msn transport to 1.3.0
- Update yahoo transport to 2.3.2
- Patch8 (Debian BTS): fix build with gcc 4
- regenerate patch7
- clean specfile

* Fri Mar 11 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.4.3-10mdk
- add BuildRequires: automake1.4

* Fri Mar 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.3-9mdk 
- add configuration for JUD (Scott) (Mdk bug #14215)
- update msn transport to 1.3cvs4 ie 20040716
- Regenerate patch7

* Mon Aug 02 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.4.3-8mdk
- Rebuild for new curl

* Thu May 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.3-7mdk
- MSN Transport CVS snapshot 20040412
- AIM transport CVS snapshot 20040131
- Yahoo transport 2.3.1
- Remove ICQ transport, AIM transport can do the job (Mdk bug 9124)
- No longer rotate log, jabber doesn't like that (Mdk bug 9295)
- Regenerate patch7

* Thu Apr 15 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.3-6mdk
- poor man's lib64 fixes

* Mon Mar 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.3-5mdk
- Update source 5 : fix Mdk bug #9123
- Update source 14 : fix Mdk bugs #9092 & #9094
- Update source 13 : fix typo in default configuration file
- Update patch0 : fix typo in default configuration file

* Wed Dec 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.3-4mdk
- Generate SSL key in the correct directory (bug #6533)

* Wed Nov 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.3-3mdk
- Improve curl buildrequires (Richard Houser)

* Fri Nov 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.3-2mdk
- Fix buildrequires
- Fix name of logrotate.d file (rpmlint)
- Add rpm-helper prereq (rpmlint)

* Tue Nov 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.3-1mdk
- Release 1.4.3
- Mu-Conference 0.6.0
- Yahoo transport 2.2.0
- MSN transport new CVS snapshot (20031112).
- Regenerate patch0
- Remove patches 2 & 7 (merged upstream)
- Add logrotate support (Fabrice FACORAT Fabrice, Mdk bug 6258)

* Fri Oct 24 2003 Stefan van der Eijk <stefan@eijk.nu> 1.4.2a-11mdk
- BuildRequires 

* Fri Sep 26 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.2a-10mdk
- Correctly build more DSO with PIC

* Fri Sep 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2a-9mdk
- Update msn transport to 1.2.8pre8 to support MSN protocol v8
- Add sources 15/16 : msn configuration file to get running in its own process
- Update patch0 : Force binding to localhost to inter-transport communication
- Update patch 4 & 7 to not patch Makefile.in anymore

* Thu Apr 24 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.2a-8mdk
- Update Patch4 (pth140) to add appropriate -I to builtin pth library
  in INCLUDES. It does not make sense to override CFLAGS in build
  since we are losing some extra important flags
- Patch6: Make it lib64 aware
- Patch7: Build DSO with PIC code

* Wed Apr 23 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.4.2a-7mdk
- switch conference to mu-conference 0.5.2 and provides a sample configuration
  file for it, running in its own process
- bump AIM transport to "stable" snapshot 2003-03-14 (warning, XDB format has 
changed, you can't go back to older version of AIM transport once upgraded)
- Bump yahoo transport to 2.1.1 (yahoo2 codebase)
- Update patch0 to use separate process for conference.

* Fri Jan 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2a-6mdk
- Rebuild against latest openssl

* Wed Sep 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2a-5mdk
- Fix jabber-icq init script to really start icqv7ext process

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.2-4mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Fri Aug  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2a-3mdk
- Remove dependency on pth-devel (gwenole)

* Sun Aug  4 2002 Stefan van der Eijk <stefan@eijk.nu> 1.4.2a-2mdk
- BuildRequires & BuildConflicts

* Fri Jul 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2a-1mdk
- Release 1.4.2a
- Update patch 0 to fix spool location (Debian) and reflect new location of SSL keys
- don't set JABBER_SPOOL in jabber.cfg
- Patch4 (Debian): use embedded libpth 1.4.0 (other versions cause problems in jabberd)
- Patch5 : Fix compilation with gcc 3
- Add manpage (Debian)
- Move SSL certificates to /etc/ssl/jabber
- Update AIM transport snapshot (2002-07-11)

* Thu May  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-1mdk
- Release 1.4.2
- ICQ transport with back with ICQv7 protocol support (new implementation)
- Update aim, yahoo and msn transports with "stable" snapshots
- Update patch0: ship with plain text authentication enabled (otherwise some 
  clients can't register new users)
- Enable SSL (not enabled in config file yet)
- Patch2 (CVS): fix invisible support
- Patch3 : fix ICQ registration support

* Wed Mar 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-5mdk
- aim transport obsoletes icq transport (since icq transport doesn't support
 ICQv7 and eats all memory :((

* Fri Jan 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-4mdk
- Add missing files (don't try to use ^ regex in file list :(
- Update aim transport to 0.9.24c (now also support ICQ v7 protocol)
- Add config file for aim transport
- Fix initscripts

* Wed Sep 19 2001 Vincent Saugey <vince@mandrakesoft.com> 1.4.1-3mdk
- Change file list

* Thu Sep 13 2001 Vincent Saugey <vince@mandrakesoft.com> 1.4.1-2mdk
- New snapshot 200010913 for icq-transport
- Add aim, conference, jud, msn and yahoo transport 
- Add buid pth-devel require

* Thu May  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-1mdk
- Release 1.4.1
- Update patch 0
- Replace source 0 by icq-transport (CVS snapshot from 20010503)

* Fri Mar 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.2-6mdk
- corrected server macros usage

* Thu Mar 29 2001 Vincent Saugey <vince@mandrakesoft.com> 1.2-5mdk
- Adding macro for buildserver (for libsafe)
- Change post and pre

* Wed Mar 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2-4mdk
- fix compile (fix includes for glibc-2.2.2)

* Mon Jan 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-3mdk
- Fix start script again for reload this time !!

* Mon Jan 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-2mdk
- Fix starting script

* Fri Dec 29 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-1mdk
- Release 1.2
- Merge initscript from Bernd Eckenfels <ecki@debian.org>

* Tue Oct  3 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.1-3mdk
- Add build requires

* Fri Sep  8 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.1-2mdk
- Correct init script
- change default config file

* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.1-1mdk
- Up to 1.0.1

* Thu Aug 31 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-1mdk
- Fisrt mdk release
